import pygame
from element import Element

class Button(Element):
	def init(self):
		self.surface.set_colorkey(self.bgcolor)
		self.color = (0, 0, 0, 255)
		self.draw()

	def draw(self):
		self.surface.fill(self.bgcolor)
		#pygame.draw.line(self.surface, self.color, (0,0), (self.width, self.height))
		#pygame.draw.line(self.surface, self.color, (0, self.height), (self.width, 0))
		pygame.draw.circle(self.surface, self.color, (self.width/2, self.height/2), self.width/2)

	def setColor(self, color):
		self.color = color
		self.draw()


